Novell is now a part of Micro Focus

Security update for vnc-x86

Knowledgebase

(Last modified: 12OCT2005)


solutions Security update for vnc-x86 SuSE Linux Maintenance Web (f520fcf283bfa545b0b68e3bf7aa619f)

Applies to

Package: vnc-x86
Product(s): SuSE Linux Enterprise Server 8 for AMD64
Patch: patch-10517
Release: 20051012
Obsoletes: none

Indications

Everyone using vnc should install this update.

Contraindications

None.

Description

An integer arithmetic overflow has been found in the pixmap handling of VNC. An attacker may be able to exploit this bug to execute code remotely.

Solution

Please install the update provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh vnc-x86.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus